Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_SAXNotSupportedException Class Reference

ACEXML_SAXNotSupportedException. More...

`#include <SAXExceptions.h>`

Inheritance diagram for ACEXML_SAXNotSupportedException:

[legend]
Collaboration diagram for ACEXML_SAXNotSupportedException:

[legend]
List of all members.

## Public Methods
| ACEXML_SAXNotSupportedException (void)
| Default constructor.
| ACEXML_SAXNotSupportedException (const ACEXML_SAXNotSupportedException &ex)
| Copy constructor.
| ACEXML_SAXNotSupportedException (const ACEXML_Char *msg)
| Constructor which accepts an informational message.
virtual | ~ACEXML_SAXNotSupportedException (void)
| Destructor.
virtual void | _raise (void)
| Throw the exception.
virtual const ACEXML_Char * | id (void) const
| Return the name of the exception.
virtual ACEXML_Exception * | duplicate (void) const
| Dynamically create a copy of this exception.
virtual int | is_a (const ACEXML_Char *name)
| Check whether this is an exception of type specified by <name>.
virtual void | print (void)
| Print out exception using ACE_DEBUG.
## Static Public Methods
ACEXML_SAXNotSupportedException * | _downcast (ACEXML_Exception *ex)
| Static narrow operation.
## Static Protected Attributes
const ACEXML_Char * | exception_name_ = ACEXML_SAXNotSupportedException_name

## Detailed Description

ACEXML_SAXNotSupportedException.

## Constructor & Destructor Documentation

ACEXML_SAXNotSupportedException::ACEXML_SAXNotSupportedException | ( | void |  | ) |

| Default constructor.

ACEXML_SAXNotSupportedException::ACEXML_SAXNotSupportedException | ( | const ACEXML_SAXNotSupportedException & | ex | ) |

| Copy constructor.

ACEXML_SAXNotSupportedException::ACEXML_SAXNotSupportedException | ( | const ACEXML_Char * | msg | ) |

| Constructor which accepts an informational message.

ACEXML_SAXNotSupportedException::~ACEXML_SAXNotSupportedException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACEXML_SAXNotSupportedException* ACEXML_SAXNotSupportedException::_downcast | ( | ACEXML_Exception * | ex | ) | `[static]`

| Static narrow operation. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE void ACEXML_SAXNotSupportedException::_raise | ( | void |  | ) | `[virtual]`

| Throw the exception. Reimplemented from ACEXML_SAXException.

ACEXML_Exception * ACEXML_SAXNotSupportedException::duplicate | ( | void |  | ) | const`[virtual]`

| Dynamically create a copy of this exception. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXNotSupportedException::id | ( | void |  | ) | const`[virtual]`

| Return the name of the exception. Reimplemented from ACEXML_SAXException.

int ACEXML_SAXNotSupportedException::is_a | ( | const ACEXML_Char * | name | ) | `[virtual]`

| Check whether this is an exception of type specified by <name>. Reimplemented from ACEXML_SAXException.

void ACEXML_SAXNotSupportedException::print | ( | void |  | ) | `[virtual]`

| Print out exception using ACE_DEBUG. Reimplemented from ACEXML_SAXException.

## Member Data Documentation

const ACEXML_Char * ACEXML_SAXNotSupportedException::exception_name_ = ACEXML_SAXNotSupportedException_name`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented from ACEXML_SAXException.

The documentation for this class was generated from the following files:

- SAXExceptions.h
- SAXExceptions.cpp
- SAXExceptions.i